## org.eclipse.m2m.atl.profiler.exportmodel
Interface ExportRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ExportRootImpl

    public interface ExportRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Export Root'.

The following features are supported:

- `Operation`
- `Total Time`
- `Total Instructions`

See Also:
  `ExportmodelPackage.getExportRoot()`

Method Summary
`org.eclipse.emf.common.util.EList<AtlOperationExport>` `getOperation()` Returns the value of the 'Operation' containment reference list.
`long` `getTotalInstructions()` Returns the value of the 'Total Instructions' attribute
`double` `getTotalTime()` Returns the value of the 'Total Time' attribute
`void` `setTotalInstructions(long value)` Sets the value of the '`Total Instructions`' attribute
`void` `setTotalTime(double value)` Sets the value of the '`Total Time`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperation

    org.eclipse.emf.common.util.EList<AtlOperationExport> getOperation()

  Returns the value of the 'Operation' containment reference list. The list contents are of type `AtlOperationExport`.

  If the meaning of the 'Operation' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation' containment reference list.
  See Also:
    `ExportmodelPackage.getExportRoot_Operation()`

### getTotalTime

    double getTotalTime()

  Returns the value of the 'Total Time' attribute.

  If the meaning of the 'Total Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Time' attribute.
  See Also:
    `setTotalTime(double)`, `ExportmodelPackage.getExportRoot_TotalTime()`

### setTotalTime

    void setTotalTime(double value)

  Sets the value of the '`Total Time`' attribute.

  Parameters:
    `value` - the new value of the 'Total Time' attribute.
  See Also:
    `getTotalTime()`

### getTotalInstructions

    long getTotalInstructions()

  Returns the value of the 'Total Instructions' attribute.

  If the meaning of the 'Total Instructions' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Instructions' attribute.
  See Also:
    `setTotalInstructions(long)`, `ExportmodelPackage.getExportRoot_TotalInstructions()`

### setTotalInstructions

    void setTotalInstructions(long value)

  Sets the value of the '`Total Instructions`' attribute.

  Parameters:
    `value` - the new value of the 'Total Instructions' attribute.
  See Also:
    `getTotalInstructions()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.